Read file stream asynchronously.

- « Swoole\Async::dnsLookup

- Swoole\Async::readFile »

- PHP Manual
- Swoole\Async
- Read file stream asynchronously.

# Swoole\Async::read

(PECL swoole >= 1.9.0)

Swoole\Async::read — Read file stream asynchronously.

### Description

public static Swoole\Async::read(
string `$filename`,
callable `$callback`,
int `$chunk_size` = ?,
int `$offset` = ?
): bool

### Parameters

`filename`

  The name of the file.

`callback`
  callback(string `$filename`, string `$content`): mixed
  `filename`

    The name of the file.

  `content`

    The content readed from the file stream.

`chunk_size`

  The chunk length.

`offset`

  The offset.

### Return Values

Whether the read is succeed.